---
Fuzzer filename: '/src/pffft/pffft_fuzzer.cc'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    _ZL8radb2_psiiPKDv4_fPS_PKf
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 523
      functionLinenumberEnd: 554
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         25
      ICount:          488
      EdgeCount:       31
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radb3_psiiPKDv4_fPS_PKfS4_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 599
      functionLinenumberEnd: 637
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         16
      ICount:          893
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radb4_psiiPKDv4_fPS_PKfS4_S4_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 725
      functionLinenumberEnd: 801
      functionDepth:   0
      returnType:      void
      argCount:        7
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         24
      ICount:          1241
      EdgeCount:       30
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radb5_psiiPKDv4_fPS_PKfS4_S4_S4_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 892
      functionLinenumberEnd: 977
      functionDepth:   0
      returnType:      void
      argCount:        8
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         16
      ICount:          2117
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radf2_psiiPKDv4_fPS_PKf
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 493
      functionLinenumberEnd: 520
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         25
      ICount:          468
      EdgeCount:       31
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radf3_psiiPKDv4_fPS_PKfS4_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 557
      functionLinenumberEnd: 594
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         16
      ICount:          791
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radf4_psiiPKDv4_fPS_PKfS4_S4_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 641
      functionLinenumberEnd: 720
      functionDepth:   0
      returnType:      void
      argCount:        7
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         24
      ICount:          1056
      EdgeCount:       30
      CyclomaticComplexity: 8
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL8radf5_psiiPKDv4_fPS_PKfS4_S4_S4_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 805
      functionLinenumberEnd: 888
      functionDepth:   0
      returnType:      void
      argCount:        8
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         16
      ICount:          1949
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pffft_transform_ordered
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1907
      functionLinenumberEnd: 1909
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          27
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _Z24pffft_transform_internalPK11PFFFT_SetupPKfPfPDv4_f17pffft_direction_ti
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1908,3'
          Dst:             _Z24pffft_transform_internalPK11PFFFT_SetupPKfPfPDv4_f17pffft_direction_ti
    - functionName:    _Z24pffft_transform_internalPK11PFFFT_SetupPKfPfPDv4_f17pffft_direction_ti
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1635
      functionLinenumberEnd: 1701
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         57
      ICount:          660
      EdgeCount:       70
      CyclomaticComplexity: 15
      functionsReached:
        - _Z19pffft_cplx_finalizeiPKDv4_fPS_S1_
        - _Z21pffft_cplx_preprocessiPKDv4_fPS_S1_
        - _Z9cfftf1_psiPKDv4_fPS_S2_PKfPKii
        - _ZL19pffft_real_finalizeiPKDv4_fPS_S1_
        - _ZL21pffft_real_preprocessiPKDv4_fPS_S1_
        - _ZL9rfftb1_psiPKDv4_fPS_S2_PKfPKi
        - _ZL9rfftf1_psiPKDv4_fPS_S2_PKfPKi
        - __assert_fail
        - pffft_zreorder
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1648,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1654,13'
          Dst:             _ZL9rfftf1_psiPKDv4_fPS_S2_PKfPKi
        - Src:             '/src/pffft/pffft.c:1656,7'
          Dst:             _ZL19pffft_real_finalizeiPKDv4_fPS_S1_
        - Src:             '/src/pffft/pffft.c:1662,13'
          Dst:             _Z9cfftf1_psiPKDv4_fPS_S2_PKfPKii
        - Src:             '/src/pffft/pffft.c:1664,7'
          Dst:             _Z19pffft_cplx_finalizeiPKDv4_fPS_S1_
        - Src:             '/src/pffft/pffft.c:1667,7'
          Dst:             pffft_zreorder
        - Src:             '/src/pffft/pffft.c:1674,7'
          Dst:             pffft_zreorder
        - Src:             '/src/pffft/pffft.c:1678,7'
          Dst:             _ZL21pffft_real_preprocessiPKDv4_fPS_S1_
        - Src:             '/src/pffft/pffft.c:1679,13'
          Dst:             _ZL9rfftb1_psiPKDv4_fPS_S2_PKfPKi
        - Src:             '/src/pffft/pffft.c:1682,7'
          Dst:             _Z21pffft_cplx_preprocessiPKDv4_fPS_S1_
        - Src:             '/src/pffft/pffft.c:1683,13'
          Dst:             _Z9cfftf1_psiPKDv4_fPS_S2_PKfPKii
        - Src:             '/src/pffft/pffft.c:1693,5'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1700,3'
          Dst:             __assert_fail
    - functionName:    __assert_fail
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    36
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL9rfftf1_psiPKDv4_fPS_S2_PKfPKi
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 980
      functionLinenumberEnd: 1023
      functionDepth:   0
      returnType:      'N/A'
      argCount:        6
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         26
      ICount:          269
      EdgeCount:       28
      CyclomaticComplexity: 4
      functionsReached:
        - _ZL8radf2_psiiPKDv4_fPS_PKf
        - _ZL8radf3_psiiPKDv4_fPS_PKfS4_
        - _ZL8radf4_psiiPKDv4_fPS_PKfS4_S4_
        - _ZL8radf5_psiiPKDv4_fPS_PKfS4_S4_S4_
        - __assert_fail
      functionUses:    1
      BranchProfiles:
        - Branch String:   '/src/pffft/pffft.c:993,5'
          Branch Sides:    []
      Callsites:
        - Src:             '/src/pffft/pffft.c:986,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:998,9'
          Dst:             _ZL8radf5_psiiPKDv4_fPS_PKfS4_S4_S4_
        - Src:             '/src/pffft/pffft.c:1003,9'
          Dst:             _ZL8radf4_psiiPKDv4_fPS_PKfS4_S4_
        - Src:             '/src/pffft/pffft.c:1007,9'
          Dst:             _ZL8radf3_psiiPKDv4_fPS_PKfS4_
        - Src:             '/src/pffft/pffft.c:1010,9'
          Dst:             _ZL8radf2_psiiPKDv4_fPS_PKf
        - Src:             '/src/pffft/pffft.c:1013,9'
          Dst:             __assert_fail
    - functionName:    _ZL19pffft_real_finalizeiPKDv4_fPS_S1_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1499
      functionLinenumberEnd: 1541
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         11
      ICount:          1499
      EdgeCount:       12
      CyclomaticComplexity: 3
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1509,3'
          Dst:             __assert_fail
    - functionName:    _Z9cfftf1_psiPKDv4_fPS_S2_PKfPKii
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1174
      functionLinenumberEnd: 1217
      functionDepth:   0
      returnType:      'N/A'
      argCount:        7
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         26
      ICount:          276
      EdgeCount:       28
      CyclomaticComplexity: 4
      functionsReached:
        - _ZL9passf2_psiiPKDv4_fPS_PKff
        - _ZL9passf3_psiiPKDv4_fPS_PKfS4_f
        - _ZL9passf4_psiiPKDv4_fPS_PKfS4_S4_f
        - _ZL9passf5_psiiPKDv4_fPS_PKfS4_S4_S4_f
        - __assert_fail
      functionUses:    2
      BranchProfiles:
        - Branch String:   '/src/pffft/pffft.c:1186,5'
          Branch Sides:    []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1180,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1191,9'
          Dst:             _ZL9passf5_psiiPKDv4_fPS_PKfS4_S4_S4_f
        - Src:             '/src/pffft/pffft.c:1196,9'
          Dst:             _ZL9passf4_psiiPKDv4_fPS_PKfS4_S4_f
        - Src:             '/src/pffft/pffft.c:1199,9'
          Dst:             _ZL9passf2_psiiPKDv4_fPS_PKff
        - Src:             '/src/pffft/pffft.c:1203,9'
          Dst:             _ZL9passf3_psiiPKDv4_fPS_PKfS4_f
        - Src:             '/src/pffft/pffft.c:1206,9'
          Dst:             __assert_fail
    - functionName:    _Z19pffft_cplx_finalizeiPKDv4_fPS_S1_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1364
      functionLinenumberEnd: 1406
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          757
      EdgeCount:       16
      CyclomaticComplexity: 3
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1368,3'
          Dst:             __assert_fail
    - functionName:    pffft_zreorder
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1327
      functionLinenumberEnd: 1362
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         32
      ICount:          557
      EdgeCount:       39
      CyclomaticComplexity: 9
      functionsReached:
        - _ZL13reversed_copyiPKDv4_fiPS_
        - _ZL15unreversed_copyiPKDv4_fPS_i
        - __assert_fail
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1331,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1339,7'
          Dst:             _ZL13reversed_copyiPKDv4_fiPS_
        - Src:             '/src/pffft/pffft.c:1340,7'
          Dst:             _ZL13reversed_copyiPKDv4_fiPS_
        - Src:             '/src/pffft/pffft.c:1346,7'
          Dst:             _ZL15unreversed_copyiPKDv4_fPS_i
        - Src:             '/src/pffft/pffft.c:1347,7'
          Dst:             _ZL15unreversed_copyiPKDv4_fPS_i
    - functionName:    _ZL21pffft_real_preprocessiPKDv4_fPS_S1_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1592
      functionLinenumberEnd: 1631
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         21
      ICount:          1526
      EdgeCount:       25
      CyclomaticComplexity: 6
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1599,3'
          Dst:             __assert_fail
    - functionName:    _ZL9rfftb1_psiPKDv4_fPS_S2_PKfPKi
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1027
      functionLinenumberEnd: 1070
      functionDepth:   0
      returnType:      'N/A'
      argCount:        6
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         23
      ICount:          248
      EdgeCount:       24
      CyclomaticComplexity: 3
      functionsReached:
        - _ZL8radb2_psiiPKDv4_fPS_PKf
        - _ZL8radb3_psiiPKDv4_fPS_PKfS4_
        - _ZL8radb4_psiiPKDv4_fPS_PKfS4_S4_
        - _ZL8radb5_psiiPKDv4_fPS_PKfS4_S4_S4_
        - __assert_fail
      functionUses:    1
      BranchProfiles:
        - Branch String:   '/src/pffft/pffft.c:1038,5'
          Branch Sides:    []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1033,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1043,9'
          Dst:             _ZL8radb5_psiiPKDv4_fPS_PKfS4_S4_S4_
        - Src:             '/src/pffft/pffft.c:1048,9'
          Dst:             _ZL8radb4_psiiPKDv4_fPS_PKfS4_S4_
        - Src:             '/src/pffft/pffft.c:1052,9'
          Dst:             _ZL8radb3_psiiPKDv4_fPS_PKfS4_
        - Src:             '/src/pffft/pffft.c:1055,9'
          Dst:             _ZL8radb2_psiiPKDv4_fPS_PKf
        - Src:             '/src/pffft/pffft.c:1058,9'
          Dst:             __assert_fail
    - functionName:    _Z21pffft_cplx_preprocessiPKDv4_fPS_S1_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1408
      functionLinenumberEnd: 1439
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          757
      EdgeCount:       16
      CyclomaticComplexity: 3
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1412,3'
          Dst:             __assert_fail
    - functionName:    _ZL13reversed_copyiPKDv4_fiPS_
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1294
      functionLinenumberEnd: 1308
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - int
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         5
      ICount:          137
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL15unreversed_copyiPKDv4_fPS_i
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1310
      functionLinenumberEnd: 1325
      functionDepth:   0
      returnType:      void
      argCount:        4
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
      BBCount:         5
      ICount:          113
      EdgeCount:       5
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL9passf5_psiiPKDv4_fPS_PKfS4_S4_S4_f
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 428
      functionLinenumberEnd: 491
      functionDepth:   0
      returnType:      void
      argCount:        9
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - float
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          1578
      EdgeCount:       17
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:444,3'
          Dst:             __assert_fail
    - functionName:    _ZL9passf4_psiiPKDv4_fPS_PKfS4_S4_f
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 356
      functionLinenumberEnd: 421
      functionDepth:   0
      returnType:      void
      argCount:        8
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - float
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         16
      ICount:          1215
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL9passf2_psiiPKDv4_fPS_PKff
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 292
      functionLinenumberEnd: 316
      functionDepth:   0
      returnType:      void
      argCount:        6
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - float
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         16
      ICount:          423
      EdgeCount:       19
      CyclomaticComplexity: 5
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL9passf3_psiiPKDv4_fPS_PKfS4_f
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 322
      functionLinenumberEnd: 353
      functionDepth:   0
      returnType:      void
      argCount:        7
      argTypes:
        - int
        - int
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - float
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          683
      EdgeCount:       17
      CyclomaticComplexity: 4
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:329,3'
          Dst:             __assert_fail
    - functionName:    pffft_transform
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1903
      functionLinenumberEnd: 1905
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         3
      ICount:          27
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - _Z24pffft_transform_internalPK11PFFFT_SetupPKfPfPDv4_f17pffft_direction_ti
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1904,3'
          Dst:             _Z24pffft_transform_internalPK11PFFFT_SetupPKfPfPDv4_f17pffft_direction_ti
    - functionName:    pffft_zconvolve_accumulate
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1703
      functionLinenumberEnd: 1796
      functionDepth:   0
      returnType:      void
      argCount:        5
      argTypes:
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - 'N/A'
        - float
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
        - ''
        - ''
      BBCount:         19
      ICount:          484
      EdgeCount:       23
      CyclomaticComplexity: 6
      functionsReached:
        - __assert_fail
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1733,3'
          Dst:             __assert_fail
    - functionName:    pffft_destroy_setup
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1286
      functionLinenumberEnd: 1289
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          19
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - pffft_aligned_free
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1287,3'
          Dst:             pffft_aligned_free
    - functionName:    pffft_aligned_free
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 283
      functionLinenumberEnd: 285
      functionDepth:   0
      returnType:      void
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          28
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZL9rffti1_psiPfPi
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1103
      functionLinenumberEnd: 1133
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         15
      ICount:          159
      EdgeCount:       18
      CyclomaticComplexity: 5
      functionsReached:
        - _ZL9decomposeiPiPKi
        - cosf
        - sinf
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1107,12'
          Dst:             _ZL9decomposeiPiPKi
        - Src:             '/src/pffft/pffft.c:1126,21'
          Dst:             cosf
        - Src:             '/src/pffft/pffft.c:1127,21'
          Dst:             sinf
    - functionName:    _ZL9decomposeiPiPKi
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1074
      functionLinenumberEnd: 1097
      functionDepth:   0
      returnType:      int
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         27
      ICount:          177
      EdgeCount:       33
      CyclomaticComplexity: 8
      functionsReached:
        - __assert_fail
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1082,9'
          Dst:             __assert_fail
    - functionName:    cosf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      float
      argCount:        1
      argTypes:
        - float
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    sinf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      float
      argCount:        1
      argTypes:
        - float
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    pffft_new_setup
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1232
      functionLinenumberEnd: 1283
      functionDepth:   0
      returnType:      'N/A'
      argCount:        2
      argTypes:
        - int
        - int
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         49
      ICount:          337
      EdgeCount:       60
      CyclomaticComplexity: 13
      functionsReached:
        - _Z9cffti1_psiPfPi
        - _ZL9rffti1_psiPfPi
        - __assert_fail
        - cosf
        - pffft_aligned_malloc
        - pffft_destroy_setup
        - sinf
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1242,5'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1249,34'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1250,37'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:1256,20'
          Dst:             pffft_aligned_malloc
        - Src:             '/src/pffft/pffft.c:1265,47'
          Dst:             cosf
        - Src:             '/src/pffft/pffft.c:1266,47'
          Dst:             sinf
        - Src:             '/src/pffft/pffft.c:1271,5'
          Dst:             _ZL9rffti1_psiPfPi
        - Src:             '/src/pffft/pffft.c:1273,5'
          Dst:             _Z9cffti1_psiPfPi
        - Src:             '/src/pffft/pffft.c:1279,5'
          Dst:             pffft_destroy_setup
    - functionName:    pffft_aligned_malloc
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 274
      functionLinenumberEnd: 281
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         6
      ICount:          47
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _Z9cffti1_psiPfPi
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 1136
      functionLinenumberEnd: 1171
      functionDepth:   0
      returnType:      void
      argCount:        3
      argTypes:
        - int
        - 'N/A'
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
        - ''
        - ''
      BBCount:         18
      ICount:          201
      EdgeCount:       22
      CyclomaticComplexity: 6
      functionsReached:
        - _ZL9decomposeiPiPKi
        - cosf
        - sinf
      functionUses:    1
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:1140,12'
          Dst:             _ZL9decomposeiPiPKi
        - Src:             '/src/pffft/pffft.c:1161,19'
          Dst:             cosf
        - Src:             '/src/pffft/pffft.c:1162,17'
          Dst:             sinf
    - functionName:    pffft_simd_size
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 287
      functionLinenumberEnd: 287
      functionDepth:   0
      returnType:      int
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         1
      ICount:          4
      EdgeCount:       1
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    0
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _Z19validate_pffft_simdv
      functionSourceFile: '/src/pffft/pffft.c'
      linkageType:     InternalLinkage
      functionLinenumber: 232
      functionLinenumberEnd: 267
      functionDepth:   0
      returnType:      void
      argCount:        0
      argTypes:        []
      constantsTouched: []
      argNames:        []
      BBCount:         159
      ICount:          997
      EdgeCount:       201
      CyclomaticComplexity: 44
      functionsReached:
        - __assert_fail
        - printf
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft.c:241,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:241,72'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:243,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:243,81'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:245,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:245,81'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:247,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:247,86'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:250,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:251,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:251,28'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:253,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:254,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:254,29'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:257,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:258,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:260,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:261,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:263,3'
          Dst:             printf
        - Src:             '/src/pffft/pffft.c:266,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:266,30'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:266,57'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft.c:266,85'
          Dst:             __assert_fail
    - functionName:    printf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    9
      BranchProfiles:  []
      Callsites:       []
    - functionName:    _ZN12_GLOBAL__N_119AllocatePffftBufferEm
      functionSourceFile: '/src/pffft/pffft_fuzzer.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 54
      functionLinenumberEnd: 55
      functionDepth:   0
      returnType:      'N/A'
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         3
      ICount:          15
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - pffft_aligned_malloc
      functionUses:    2
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft_fuzzer.cc:55,30'
          Dst:             pffft_aligned_malloc
    - functionName:    _ZN12_GLOBAL__N_111IsValidSizeEm
      functionSourceFile: '/src/pffft/pffft_fuzzer.cc'
      linkageType:     InternalLinkage
      functionLinenumber: 38
      functionLinenumberEnd: 52
      functionDepth:   0
      returnType:      bool
      argCount:        1
      argTypes:
        - size_t
      constantsTouched: []
      argNames:
        - ''
      BBCount:         16
      ICount:          89
      EdgeCount:       20
      CyclomaticComplexity: 6
      functionsReached: []
      functionUses:    1
      BranchProfiles:  []
      Callsites:       []
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/pffft/pffft_fuzzer.cc'
      linkageType:     externalLinkage
      functionLinenumber: 61
      functionLinenumberEnd: 95
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - ''
        - ''
      BBCount:         10
      ICount:          86
      EdgeCount:       11
      CyclomaticComplexity: 3
      functionsReached:
        - _ZN12_GLOBAL__N_111IsValidSizeEm
        - _ZN12_GLOBAL__N_119AllocatePffftBufferEm
        - __assert_fail
        - pffft_aligned_free
        - pffft_destroy_setup
        - pffft_new_setup
        - pffft_transform
        - pffft_transform_ordered
        - pffft_zconvolve_accumulate
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             '/src/pffft/pffft_fuzzer.cc:67,8'
          Dst:             _ZN12_GLOBAL__N_111IsValidSizeEm
        - Src:             '/src/pffft/pffft_fuzzer.cc:72,3'
          Dst:             __assert_fail
        - Src:             '/src/pffft/pffft_fuzzer.cc:75,15'
          Dst:             _ZN12_GLOBAL__N_119AllocatePffftBufferEm
        - Src:             '/src/pffft/pffft_fuzzer.cc:76,16'
          Dst:             _ZN12_GLOBAL__N_119AllocatePffftBufferEm
        - Src:             '/src/pffft/pffft_fuzzer.cc:82,30'
          Dst:             pffft_new_setup
        - Src:             '/src/pffft/pffft_fuzzer.cc:85,3'
          Dst:             pffft_transform
        - Src:             '/src/pffft/pffft_fuzzer.cc:86,3'
          Dst:             pffft_zconvolve_accumulate
        - Src:             '/src/pffft/pffft_fuzzer.cc:87,3'
          Dst:             pffft_transform_ordered
        - Src:             '/src/pffft/pffft_fuzzer.cc:90,3'
          Dst:             pffft_aligned_free
        - Src:             '/src/pffft/pffft_fuzzer.cc:91,3'
          Dst:             pffft_aligned_free
        - Src:             '/src/pffft/pffft_fuzzer.cc:92,3'
          Dst:             pffft_destroy_setup
...
